# ordnance_facts – Collect facts from Ordnance Virtual Routers over SSH

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Collects a base set of device facts from an Ordnance Virtual router over SSH. This module prepends all of the base network fact keys with `ansible_net_<fact>`. The facts module will always collect a base set of facts from the device and can enable or disable collection of additional facts.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
gather_subset - | Default: "!config" | When supplied, this argument will restrict the facts collected to a given subset. Possible values for this argument include all, hardware, config, and interfaces. Can specify a list of values to include a larger subset. Values can also be used with an initial `!` to specify that a specific subset should not be collected.

## Examples

    ---
    # Note: examples below use the following provider dict to handle
    #       transport and authentication to the node.
    vars:
      cli:
        host: "{{ inventory_hostname }}"
        username: RouterName
        password: ordnance
        transport: cli

    ---
    # Collect all facts from the device
    - ordnance_facts:
        gather_subset: all
        provider: "{{ cli }}"

    # Collect only the config and default facts
    - ordnance_facts:
        gather_subset:
          - config
        provider: "{{ cli }}"

    # Do not collect hardware facts
    - ordnance_facts:
        gather_subset:
          - "!hardware"
        provider: "{{ cli }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
ansible_net_all_ipv4_addresses list | when interfaces is configured | All IPv4 addresses configured on the virtual router
ansible_net_all_ipv6_addresses list | when interfaces is configured | All IPv6 addresses configured on the virtual router
ansible_net_config string | when config is configured | The current active config from the virtual router
ansible_net_gather_subset list | always | The list of fact subsets collected from the virtual router
ansible_net_interfaces dictionary | when interfaces is configured | A hash of all interfaces running on the virtual router

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Alexander Turner (@alexanderturner) <alex.turner@ordnance.io>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.